petsc-3.7.1 2016-05-15
Report Typos and Errors

# PetscObjectGetReference

Gets the current reference count for any PETSc object.

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscObjectGetReference(PetscObject obj,PetscInt *cnt)

Not Collective Many br

### Input Parameter

obj -the PETSc object; this must be cast with (PetscObject), for example, Many brPetscObjectGetReference((PetscObject)mat,&cnt); Many br

### Output Parameter

cnt -the reference count Many br

Many br

### See Also

PetscObjectCompose(), PetscObjectDereference(), PetscObjectReference()

Level:advanced
Location:src/sys/objects/inherit.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages